<template>
  <div class="q-pa-md column items-center">
    <q-avatar size="72px">
      <img src="../../assets/logo_shopping_cart.svg" />
    </q-avatar>
    <h5 class="text-h5 text-weight-medium">
      Felicitari! Comanda ta {{brandName}} a fost plasata. Vei fi contactat de curier
      in curs de o saptamana pentru a primi comanda.
    </h5>
    <q-btn
      @click="goHome()"
      flat
      no-caps
      size="md"
      style="color: #818078"
      label="Back to shopping"
    />
  </div>
</template>

<script>
export default {
  name: "success",
  methods: {
    goHome() {
      this.$router.push({ name: "home" });
    },
  },
  computed: {
    adminPreferences() {
      return this.$store.getters["adminData/getAdminPreferences"];
    },
    brandName() {
      const x = this.adminPreferences.find(
        (preference) => preference.name === "brandName"
      );
      if (x) return x.value;
      else return null;
    },
  },
};
</script>
